# Class BuyerAsMakerTrade

#### Hierarchy

- unknown
  - BuyerAsMakerTrade

- Defined in src/protobuf/pb_pb.d.ts:6325
- Defined in src/protobuf/pb_pb.d.ts:6339

#####
Index

### Constructors

constructor

### Methods

clearTrade
getTrade
hasTrade
serializeBinary
setTrade
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new BuyerAsMakerTrade(): BuyerAsMakerTrade

- #### Returns BuyerAsMakerTrade

  Inherited from jspb.Message.constructor

## Methods

### clearTrade

- clearTrade(): BuyerAsMakerTrade

- #### Returns BuyerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6329

### getTrade

- getTrade(): undefined | Trade

- #### Returns undefined | Trade

  - Defined in src/protobuf/pb_pb.d.ts:6326

### hasTrade

- hasTrade(): boolean

- #### Returns boolean

  - Defined in src/protobuf/pb_pb.d.ts:6328

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:6331

### setTrade

- setTrade(value?: Trade): BuyerAsMakerTrade

- #### Parameters

  - ##### `Optional` value: Trade

  #### Returns BuyerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6327

### toObject

- toObject(includeInstance?: boolean): BuyerAsMakerTrade.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns BuyerAsMakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6332

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): BuyerAsMakerTrade

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns BuyerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6335

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: BuyerAsMakerTrade, reader: BinaryReader): BuyerAsMakerTrade

- #### Parameters

  - ##### message: BuyerAsMakerTrade

  - ##### reader: BinaryReader

  #### Returns BuyerAsMakerTrade

  - Defined in src/protobuf/pb_pb.d.ts:6336

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: BuyerAsMakerTrade, writer: BinaryWriter): void

- #### Parameters

  - ##### message: BuyerAsMakerTrade

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:6334

### `Static` toObject

- toObject(includeInstance: boolean, msg: BuyerAsMakerTrade): BuyerAsMakerTrade.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: BuyerAsMakerTrade

  #### Returns BuyerAsMakerTrade.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:6333

Generated using TypeDoc